/*
 * @Author: your name
 * @Date: 2021-10-13 09:28:02
 * @LastEditTime: 2021-12-23 16:21:07
 * @LastEditors: Please set LastEditors
 * @Description: In User Settings Edit
 * @FilePath: /data-show/src/request/index.js
 */
import axios from 'axios';
import qs from 'qs';
function filterRequestData(obj) {
    let o = {};
    for(let key in obj) {
        let b1 = obj[key] === 0;
        let b2 = obj[key] === false;
        if(obj[key] || b1 || b2) {
            o[key] = obj[key]
        }
    }
    return o;
}
//创建axios的实例
const httpService = axios.create({
    baseURL: 'https://mm.kaixinguopiao.com',// TODO:具体的配置可以根据项目情况而来
    // timeout: 5000
})

//axios的拦截--request
httpService.interceptors.request.use(config => {
    // 请求成功处理
    // if(localStorage.getItem('token')){//判断浏览器中的cookie中是否存在项目的token
    //     config.headers.token = localStorage.getItem('token')
    // }
    const rqParams = filterRequestData(config.params);
    const rqData = filterRequestData(config.data);
    if(config.method === 'post') {
        config.data = qs.stringify(rqData);
    } else {
        config.data = rqData;
        config.params = rqParams;
    }
    return config;
},err => {
    Promise.reject(err);// 请求错误处理
})

//4、axios的拦截--response
httpService.interceptors.response.use(response => {
	// TODO:具体的code对应的处理可继续添加修改
    let msg = '';
    let res = response.data;
    if(res.status){
        return {res};
    } else {
        msg = res.Msg || "";
        return Promise.reject(new Error(msg))
    }
},err => {
    return Promise.reject(err);
})

export default httpService


